Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationProfilingExport

    java.lang.Object
      kodo.manage.AbstractManagementConfiguration
          kodo.manage.ManagementConfigurationProfiling
              kodo.manage.ManagementConfigurationProfilingLocal
                  kodo.manage.ManagementConfigurationProfilingExport

All Implemented Interfaces:
  ManagementConfiguration, Configurable, Closeable

    public class ManagementConfigurationProfilingExport

extends ManagementConfigurationProfilingLocal

Configuration for local profiling GUI.

Field Summary

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`conf`

Constructor Summary
`ManagementConfigurationProfilingExport()`

Method Summary
`com.solarmetric.profile.ProfilingInterface` | `getProfilingInterface()`
`void` | `setBasename(String basename)`
`void` | `setIntervalMillis(long millis)`
`void` | `setUniqueNames(boolean unique)`
`void` | `startConfiguration()`

Methods inherited from class kodo.manage.ManagementConfigurationProfilingLocal
`getProfilingAgent`

Methods inherited from class kodo.manage.ManagementConfigurationProfiling
`closeProfiling, endConfiguration, getExecutionContextNameProvider, getPlugins, initProfiling, setExecutionContextNameProvider, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`close, closeManagement, getMBeanPlugins, getMBeanServer, initManagement, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationProfilingExport

    public ManagementConfigurationProfilingExport()

Method Detail

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`
  Overrides:
    `startConfiguration` in class `ManagementConfigurationProfilingLocal`

### getProfilingInterface

    public com.solarmetric.profile.ProfilingInterface getProfilingInterface()

  Overrides:
    `getProfilingInterface` in class `ManagementConfigurationProfiling`

### setIntervalMillis

    public void setIntervalMillis(long millis)

### setBasename

    public void setBasename(String basename)

### setUniqueNames

    public void setUniqueNames(boolean unique)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.